# Generated by Django 2.1.4 on 2019-01-04 16:45

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Friend',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('gender', models.TextField(choices=[('Male', 'Male'), ('Female', 'Female')])),
                ('tempatlahir', models.CharField(max_length=50)),
                ('tanggallahir', models.DateField()),
                ('line', models.CharField(max_length=30)),
                ('desc', models.TextField(blank=True, null=True)),
                ('username', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
